Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038556
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformmajoralways2018-05-14 18:572018-05-18 09:06
ReporterAtulOpenbravoView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2.1
StatusclosedFix in branchFixed in SCM revision554dc31721c0
ProjectionnoneETAnoneTarget Version3.0PR18Q2.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2018-03-07
Regression introduced in release3.0PR18Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/2a79f597da83 [^]
Triggers an Emergency PackNo
Summary

0038556: Default Expression in Selector Field does not work properly

DescriptionDefault expression in the selector field does not work properly.

for eg: In Goods Movement window, Stocked column in grid of Product selector should have default filter as Stocked = Yes

Expression used in reference: "Product Complete" | Defined Selector | Field | Stocked

if (OB.getWindowId() == '800051' ||
    OB.getWindowId() == '800052' ||
    OB.getWindowId() == '800096' ||
    OB.getWindowId() == '800027') {
  false
} else {
    if (OB.isSalesTransaction() == true || OB.getWindowId() == '170') {
      true
    } else {
        false
    }
}

However it does not work in latest pi.
Steps To ReproduceTest Plan

- Go to Goods Movement window and create a new record. Fill mandatory fields
- Go to Lines tab and create a new record.
- Press magnifying glass in Product selector.
- Check default filter in Stocked column of selector does not have filter applied as Stocked = Yes.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0038548 closedcaristu Default Expression in Selector Field does not work properly 

-  Notes
(0104567)
hgbot (developer)
2018-05-17 16:47

Repository: erp/backports/3.0PR18Q2.1
Changeset: 554dc31721c056dd2345a5fd1b3d152f8093a4b3
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu May 17 10:05:57 2018 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR18Q2.1/rev/554dc31721c056dd2345a5fd1b3d152f8093a4b3 [^]

fixes issue 38556: Default Expression in Selector Field does not work properly

  After the changes introduced with[1] the request data is sent to the SelectorDefaultFilterActionHandler as part of the POST payload rather than in the query string. This caused that the selector id was not being found in that handler, avoiding the correct processing of the data.

  The problem has been fixed by retrieving the data to process both from the request parameters and content.

[1] https://code.openbravo.com/erp/devel/pi/rev/2a79f597da83870d152ee3176ffa679a01ac19d5 [^]

---
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorDefaultFilterActionHandler.java
---
(0104586)
alostale (developer)
2018-05-18 09:06

reviewed + tested

- Issue History
Date Modified Username Field Change
2018-05-16 09:28 caristu Type defect => backport
2018-05-16 09:28 caristu Target Version => 3.0PR18Q2.1
2018-05-17 16:47 hgbot Checkin
2018-05-17 16:47 hgbot Note Added: 0104567
2018-05-17 16:47 hgbot Status scheduled => resolved
2018-05-17 16:47 hgbot Resolution open => fixed
2018-05-17 16:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR18Q2.1/rev/554dc31721c056dd2345a5fd1b3d152f8093a4b3 [^]
2018-05-17 16:48 caristu Review Assigned To => alostale
2018-05-18 09:06 alostale Note Added: 0104586
2018-05-18 09:06 alostale Status resolved => closed
2018-05-18 09:06 alostale Fixed in Version => 3.0PR18Q2.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker